/*
 * Copyright (c) 2016 Villu Ruusmann
 *
 * This file is part of JPMML-Evaluator
 *
 * JPMML-Evaluator is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * JPMML-Evaluator is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with JPMML-Evaluator.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jpmml.evaluator.visitors;

import java.util.HashMap;

import org.dmg.pmml.PMMLObject;

abstract
class ElementHashMap<V extends PMMLObject> extends HashMap<ElementKey, V> {

	abstract
	public ElementKey createKey(V object);

	public V intern(V object){
		ElementKey key = createKey(object);

		V result = get(key);

		if(result == null){
			result = object;

			put(key, result);
		}

		return result;
	}
}